EventBuffer::add
EventBuffer::appendFrom
EventBuffer
PHP Manual

# EventBuffer::addBuffer

(PECL event >= 1.2.6-beta)

EventBuffer::addBuffer — Move all data from a buffer provided to the current instance of EventBuffer

### Description

public bool EventBuffer::addBuffer ( EventBuffer `$buf` )

Move all data from the buffer provided in `buf` parameter to the end of current EventBuffer . This is a destructive add. The data from one buffer moves into the other buffer. However, no unnecessary memory copies occur.

### Parameters

`buf`

  The source EventBuffer object.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBuffer::add() - Append data to the end of an event buffer

EventBuffer::add
EventBuffer::appendFrom
EventBuffer
PHP Manual